Bug 1944413 - Please build pcl for EPEL 8
Summary: Please build pcl for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcl
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1938327 1943851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-29 21:42 UTC by Scott K Logan
Modified: 2021-04-14 14:26 UTC (History)
2 users (show)

Fixed In Version: pcl-1.11.1-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-14 14:26:58 UTC
Type: Bug


Attachments (Terms of Use)
Patch to drop VTK and OpenNI dependencies (2.32 KB, patch)
2021-03-29 21:42 UTC, Scott K Logan
no flags Details | Diff

Description Scott K Logan 2021-03-29 21:42:41 UTC
Created attachment 1767484 [details]
Patch to drop VTK and OpenNI dependencies

Description of problem:
There is a pcl build for EPEL 7, but it has not been built for EPEL 8. Please build pcl for EPEL 8.

Additional info:
There are two dependencies that need to be built before PCL can be built. I'll add those as dependencies of this bug.

Also, the cminpack dependency is no longer needed by PCL at all, and isn't available in EPEL 8 anyway.

The remaining missing dependencies are on VTK and OpenNI. We can drop those dependencies and their associated components of PCL in order to get a working build. If those packages are ever available for EPEL 8 in the future, it should be easy enough to re-add them. I've attached a patch to be applied on top of the cminpack PR that drops these dependencies and makes PCL buildable on EPEL 8.

Comment 1 Scott K Logan 2021-03-29 21:46:26 UTC
Here's the cminpack PR that Bugzilla won't seem to let me add as an external link: https://src.fedoraproject.org/rpms/pcl/pull-request/6

Comment 2 Fedora Update System 2021-03-30 00:16:29 UTC
FEDORA-EPEL-2021-acd9e0a562 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-acd9e0a562

Comment 3 Fedora Update System 2021-03-31 02:08:39 UTC
FEDORA-EPEL-2021-acd9e0a562 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-acd9e0a562

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-04-14 14:26:58 UTC
FEDORA-EPEL-2021-acd9e0a562 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.